# ContactsContract.CommonDataKinds.Website

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# Website

*** ** * ** ***

Kotlin\|[Java](https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.Website "View this page in Java")  

```
class Website : ContactsContract.CommonDataKinds.CommonColumns, ContactsContract.DataColumnsWithJoins
```

|---|------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)                                                                                         ||
| ↳ | [android.provider.ContactsContract.CommonDataKinds.Website](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#) |

A data kind representing a website related to the contact.

You can use all columns defined for[ContactsContract.Data](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data)as well as the following aliases.

## Column aliases

|  Type  |                                                                    Alias                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         Data column                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          ||
|--------|---------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| String | [URL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#URL:kotlin.String)           | [DATA1](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| int    | [TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String)   | [DATA2](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String) | Allowed values are: <br /> - [TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int). Put the actual type in[LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String). - [TYPE_HOMEPAGE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_HOMEPAGE:kotlin.Int) - [TYPE_BLOG](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_BLOG:kotlin.Int) - [TYPE_PROFILE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_PROFILE:kotlin.Int) - [TYPE_HOME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_HOME:kotlin.Int) - [TYPE_WORK](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_WORK:kotlin.Int) - [TYPE_FTP](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_FTP:kotlin.Int) - [TYPE_OTHER](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_OTHER:kotlin.Int) <br /> |
| String | [LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String) | [DATA3](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

## Summary

|                                                                                                                                                                                         Constants                                                                                                                                                                                         ||
|----------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [CONTENT_ITEM_TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#CONTENT_ITEM_TYPE:kotlin.String) MIME type used when storing this in data table.                                                                                     |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#EXTRA_ADDRESS_BOOK_INDEX:kotlin.String) Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras.          |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_COUNTS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#EXTRA_ADDRESS_BOOK_INDEX_COUNTS:kotlin.String) The array of group counts for the corresponding group.                                                  |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_TITLES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#EXTRA_ADDRESS_BOOK_INDEX_TITLES:kotlin.String) The array of address book index titles, which are returned in the same order as the data in the cursor. |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_BLOG](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_BLOG:kotlin.Int) <br />                                                                                                                                                 |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_FTP](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_FTP:kotlin.Int) <br />                                                                                                                                                   |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_HOME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_HOME:kotlin.Int) <br />                                                                                                                                                 |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_HOMEPAGE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_HOMEPAGE:kotlin.Int) <br />                                                                                                                                         |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_OTHER](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_OTHER:kotlin.Int) <br />                                                                                                                                               |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_PROFILE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_PROFILE:kotlin.Int) <br />                                                                                                                                           |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_WORK](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#TYPE_WORK:kotlin.Int) <br />                                                                                                                                                 |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [URL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Website#URL:kotlin.String) The website URL string.                                                                                                                                         |

| Inherited constants ||
|---|---|
| From class[CommonColumns](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns) |----------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [DATA](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#DATA:kotlin.String) <br /> The data for the contact method. Type: TEXT <br />                     | | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String) <br /> The user defined label for the the contact method. Type: TEXT <br /> | | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String) <br /> The type of data, for example Home or Work. Type: INTEGER <br />       | ||
| From class[BaseTypes](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes) |----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) | [TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int) <br /> A custom type. The custom label should be supplied by user. <br /> | ||

## Constants

### CONTENT_ITEM_TYPE

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val CONTENT_ITEM_TYPE: String
```

MIME type used when storing this in data table.  

    Value: "vnd.android.cursor.item/website"

### EXTRA_ADDRESS_BOOK_INDEX

```
static val EXTRA_ADDRESS_BOOK_INDEX: String
```

Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. For most languages it is the first letter of the sort key. This parameter does not affect the main content of the cursor.

<br />

```kotlin
Example:
 
  import android.provider.ContactsContract.Contacts;
 
  Uri uri = Contacts.CONTENT_URI.buildUpon()
           .appendQueryParameter(Contacts.EXTRA_ADDRESS_BOOK_INDEX, "true")
           .build();
  Cursor cursor = getContentResolver().query(uri,
           new String[] {Contacts.DISPLAY_NAME},
           null, null, null);
  Bundle bundle = cursor.getExtras();
  if (bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES) &&
          bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS)) {
      String sections[] =
              bundle.getStringArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES);
      int counts[] = bundle.getIntArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS);
  }
  
```

<br />

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX"

### EXTRA_ADDRESS_BOOK_INDEX_COUNTS

```
static val EXTRA_ADDRESS_BOOK_INDEX_COUNTS: String
```

The array of group counts for the corresponding group. Contains the same number of elements as the EXTRA_ADDRESS_BOOK_INDEX_TITLES array.

TYPE: int\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_COUNTS"

### EXTRA_ADDRESS_BOOK_INDEX_TITLES

```
static val EXTRA_ADDRESS_BOOK_INDEX_TITLES: String
```

The array of address book index titles, which are returned in the same order as the data in the cursor.

TYPE: String\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_TITLES"

### TYPE_BLOG

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_BLOG: Int
```  

    Value: 2

### TYPE_FTP

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_FTP: Int
```  

    Value: 6

### TYPE_HOME

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_HOME: Int
```  

    Value: 4

### TYPE_HOMEPAGE

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_HOMEPAGE: Int
```  

    Value: 1

### TYPE_OTHER

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_OTHER: Int
```  

    Value: 7

### TYPE_PROFILE

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_PROFILE: Int
```  

    Value: 3

### TYPE_WORK

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_WORK: Int
```  

    Value: 5

### URL

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val URL: String
```

The website URL string.

Type: TEXT  

    Value: "data1"